ch.qos.logback.core.status

## Class StatusListenerAsList

- java.lang.Object
- - ch.qos.logback.core.status.StatusListenerAsList

All Implemented Interfaces:
  StatusListener

    public class StatusListenerAsList
    extends java.lang.Object
    implements StatusListener

Collect all incoming events in a list.

Author:
  Ceki Gülcü

### Constructor Summary

Constructors
Constructor and Description
`StatusListenerAsList()`

### Method Summary

Methods
`void` `addStatusEvent(Status status)`
`java.util.List<Status>` `getStatusList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatusListenerAsList

    public StatusListenerAsList()

### Method Detail

#### addStatusEvent

    public void addStatusEvent(Status status)

Specified by:
  `addStatusEvent` in interface `StatusListener`

#### getStatusList

    public java.util.List<Status> getStatusList()